Package org.eclipse.lemminx.dom

## Class DTDDeclNode

- java.lang.Object
- - org.eclipse.lemminx.dom.DOMNode
  - - org.eclipse.lemminx.dom.DTDDeclNode

All Implemented Interfaces:
  `DOMRange`, `Node`

Direct Known Subclasses:
  `DOMDocumentType`, `DTDAttlistDecl`, `DTDElementDecl`, `DTDEntityDecl`, `DTDNotationDecl`

    public class DTDDeclNode
    extends DOMNode

DTDNode

### Field Summary

Fields
`DTDDeclParameter` `declType`
`DTDDeclParameter` `unrecognized` This class is the base for all declaration nodes for DTD's.

### Fields inherited from class org.eclipse.lemminx.dom.DOMNode

`DTD_ATT_LIST_NODE, DTD_DECL_NODE, DTD_ELEMENT_DECL_NODE, DTD_ENTITY_DECL_NODE, DTD_NOTATION_DECL, NULL_VALUE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`DTDDeclNode​(int start, int end)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DTDDeclParameter` `addNewParameter​(int start, int end)`
`String` `getDeclType()`
`String` `getName()`
`DTDDeclParameter` `getNameParameter()`
`String` `getNodeName()`
`short` `getNodeType()`
`DOMDocumentType` `getOwnerDocType()`
`protected DTDDeclParameter` `getParameterAtIndex​(int index)`
`List<DTDDeclParameter>` `getParameters()`
`DTDDeclParameter` `getReferencedElementNameAt​(int offset)` Returns the parameter name which references a DTD element declaration (
`String` `getUnrecognized()`
`boolean` `isInNameParameter​(int offset)`
`void` `setDeclType​(int start, int end)`
`void` `setName​(int start, int end)`
`void` `setUnrecognized​(int start, int end)`
`void` `updateLastParameterEnd​(int end)`

### Methods inherited from class org.eclipse.lemminx.dom.DOMNode

`addChild, appendChild, cloneNode, compareDocumentPosition, findAttrAt, findAttrAt, findDTDDeclParameterAt, findDTDDeclParameterAt, findNodeAt, findNodeBefore, findNodeOrAttrAt, findTextAt, getAttribute, getAttributeAtIndex, getAttributeNode, getAttributeNode, getAttributeNodes, getAttributes, getBaseURI, getChild, getChildNodes, getChildren, getChildrenWithAttributeValue, getEnd, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOrphanEndElement, getOrphanEndElement, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPreviousNonTextSibling, getPreviousSibling, getStart, getTextContent, getUserData, hasAttribute, hasAttributes, hasChildNodes, insertBefore, isAttribute, isCDATA, isCharacterData, isChildOfOwnerDocument, isClosed, isComment, isDefaultNamespace, isDoctype, isDTDAttListDecl, isDTDElementDecl, isDTDEntityDecl, isDTDNotationDecl, isElement, isEqualNode, isGenericDTDDecl, isIncluded, isIncluded, isOwnerDocument, isProcessingInstruction, isProlog, isSameNode, isSupported, isText, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setAttribute, setAttributeNode, setNodeValue, setPrefix, setTextContent, setUserData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### unrecognized

    public DTDDeclParameter unrecognized

This class is the base for all declaration nodes for DTD's. It can also be used to represent an undefined tag, meaning it is not any of: ELEMENT, ATTLIST, ENTITY, or NOTATION

#### declType

    public DTDDeclParameter declType

### Constructor Detail

#### DTDDeclNode

    public DTDDeclNode​(int start,
                       int end)

### Method Detail

#### getName

    public String getName()

#### getNameParameter

    public DTDDeclParameter getNameParameter()

#### getParameterAtIndex

    protected DTDDeclParameter getParameterAtIndex​(int index)

#### setName

    public void setName​(int start,
                        int end)

#### isInNameParameter

    public boolean isInNameParameter​(int offset)

#### getOwnerDocType

    public DOMDocumentType getOwnerDocType()

#### getNodeName

    public String getNodeName()

#### getNodeType

    public short getNodeType()

#### getUnrecognized

    public String getUnrecognized()

#### setUnrecognized

    public void setUnrecognized​(int start,
                                int end)

#### addNewParameter

    public DTDDeclParameter addNewParameter​(int start,
                                            int end)

#### updateLastParameterEnd

    public void updateLastParameterEnd​(int end)

#### getParameters

    public List<DTDDeclParameter> getParameters()

#### setDeclType

    public void setDeclType​(int start,
                            int end)

#### getDeclType

    public String getDeclType()

#### getReferencedElementNameAt

    public DTDDeclParameter getReferencedElementNameAt​(int offset)

Returns the parameter name which references a DTD element declaration (

Parameters:
  `offset` - the offset
Returns:
  the parameter name which references a DTD element declaration (